Subject: Bugs in Pine 4.03 - MIME-escaped Subjects and other things

From: "Marcin 'Qrczak' Kowalczyk" <[email-masked]>
Date: Wed, 9 Sep 1998 16:28:16 +0200

When I'm replying to a news message with Subject MIME-encoded like this
(for example):

Subject: Wróciłem!

the Subject line initially looks OK (Subject: Wróciłem!). But then I
press, ^X, Yes, "Posted message may go to thousands of readers. Really
post?" - No!

- and then Subject gets mangled, displaying in the above escaped form on
the screen.

			*	*	*

Another thing: It would be very nice to be able to view all headers
(shown with `h') in MIME-unescaped form. Some people put extended
characters there, e.g. in Organization field. Maybe there could be an
option if one wants the header shown with h in raw format (as now)
or unescaped.

			*	*	*

One more thing: It would be nice to be able to specify that I want to
view e.g. all header fields beginning with X- except X-Newsreader. Now
it is only possible to specify literal names in viewer-hdrs. Maybe some
sort of regexps? Or a more general way: allow passing the header fields
through user-specified filter (not only the body, as it it now).

But first the bug in filtering should be fixed, about which I've told some
time ago: When filtering a long message through a display-filter, the text
between each 4096th character and the nearest previous beginning of the
line gets lost. This is because (at least on Linux's glibc) turning on
non-blocking input on a pipe can't be reliably used together with buffered
IO - and this is the case in Pine :-(  I can see two solutions: either
pull data from the filter with read(), or fork() once more and feed the
filter and get its output in separate processes, without turning on
non-blocking reads. Display-filters are quite important foo me and now I
can't use them...

-- 
 __("<   Marcin Kowalczyk * [email-masked] http://qrczak.home.ml.org/
 \__/       GCS/M d- s+:-- a21 C+++>+++$ UL++>++++$ P+++ L++>++++$ E->++
  ^^                W++ N+++ o? K? w(---) O? M- V? PS-- PE++ Y? PGP->+ t
QRCZAK                  5? X- R tv-- b+>++ DI D- G+ e>++++ h! r--%>++ y-

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------